Bug 1906493 - Review Request: rhbzquery - Bugzilla query tool
Summary: Review Request: rhbzquery - Bugzilla query tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-10 16:21 UTC by Jens Petersen
Modified: 2021-01-01 02:09 UTC (History)
2 users (show)

Fixed In Version: rhbzquery-0.4.1-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-01 01:24:35 UTC
Type: ---
Embargoed:
williams: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2020-12-10 16:21:42 UTC
Spec URL: https://petersen.fedorapeople.org/reviews/rhbzquery/rhbzquery.spec
SRPM URL: https://petersen.fedorapeople.org/reviews/rhbzquery/rhbzquery-0.3-1.fc33.src.rpm

Description:
A CLI tool for creating bugzilla queries for bugzilla.redhat.com.


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=57199852

Comment 2 Clark Williams 2020-12-12 21:03:39 UTC
Overall this is a well put together package and I have no complaints
about the organization of files and the specfile itself.

I have one complaint and one suggestion:

1. Complaint: This thing really needs a man-page, or alternatively an
easy way to setup a .bugzillarc. I've never used a .bugzillarc and it
took flexing my google-fu to find that a) it's an INI-style file and
b) needs a section with a "user" field like so:

       [bugzilla.redhat.com]
       user=williams

While I'd prefer to see a man page, I could live with addition
information in Readme.md. 

2. Suggestion: I'd add SPDX License tags to your source files to
clearly indicate that the file is covered under the BSD-3-Clause
license: 

     -- SPDX-License-Identifier: BSD-3-Clause

more info at:  https://spdx.dev/ids

Other than that I think it looks good.

Clark
==================================================================

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 12 files have unknown license. Detailed output of
     licensecheck in /home/williams/fedora/package-
     reviews/1906493-rhbzquery/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rhbzquery-0.4-1.fc34.x86_64.rpm
          rhbzquery-0.4-1.fc34.src.rpm
rhbzquery.x86_64: W: spelling-error %description -l en_US bugzilla -> Bugzilla, ChatZilla
rhbzquery.x86_64: W: spelling-error %description -l en_US redhat -> red hat, red-hat, hatred
rhbzquery.x86_64: W: no-manual-page-for-binary rhbzquery
rhbzquery.src: W: spelling-error %description -l en_US bugzilla -> Bugzilla, ChatZilla
rhbzquery.src: W: spelling-error %description -l en_US redhat -> red hat, red-hat, hatred
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
rhbzquery.x86_64: W: spelling-error %description -l en_US bugzilla -> Bugzilla, ChatZilla
rhbzquery.x86_64: W: spelling-error %description -l en_US redhat -> red hat, red-hat, hatred
rhbzquery.x86_64: W: no-manual-page-for-binary rhbzquery
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://hackage.haskell.org/package/rhbzquery-0.4/rhbzquery-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 8e0f19795c81702728aa4f980f0d6fcb1f57956ead96a123627a0c8281d2842a
  CHECKSUM(SHA256) upstream package : 8e0f19795c81702728aa4f980f0d6fcb1f57956ead96a123627a0c8281d2842a


Requires
--------
rhbzquery (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libffi.so.6()(64bit)
    libgmp.so.10()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
rhbzquery:
    rhbzquery
    rhbzquery(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1906493
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Haskell, Generic
Disabled plugins: SugarActivity, Python, C/C++, Ruby, Ocaml, Perl, Java, R, PHP, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Jens Petersen 2020-12-13 14:56:20 UTC
Thanks for reviewing, Clark

Let me check on (1): I intended that ~/.bugzillarc be generated if missing (for --mine)
(but since I already had the config from (`bugzilla login` and fbrnch) I may need to
do more to setup the file correctly, thanks for testing it.

(2) is a good idea let me try to do in the next version.

Comment 4 Jens Petersen 2020-12-17 04:39:50 UTC
(In reply to Jens Petersen from comment #3)
> Let me check on (1): I intended that ~/.bugzillarc be generated if missing
> (for --mine) (but since I already had the config from (`bugzilla login` and fbrnch)
> I may need to do more to setup the file correctly, thanks for testing it.

I think this was basically a bug: I had forgotten to turn off stdout buffering
so the bz userid prompt never appears.

(In reply to Clark Williams from comment #2)
> While I'd prefer to see a man page, I could live with addition
> information in Readme.md. 

For now let me add a simple manpage generated with help2man.

> 2. Suggestion: I'd add SPDX License tags to your source files to
> clearly indicate that the file is covered under the BSD-3-Clause
> license: 

Thanks for this - I am adding SPDX tags to 0.4.1


(I also forgot to mention here the copr repo:
https://copr.fedorainfracloud.org/coprs/petersen/rhbzquery/)

Comment 5 Jens Petersen 2020-12-17 05:28:08 UTC
Spec URL: https://petersen.fedorapeople.org/reviews/rhbzquery/rhbzquery.spec
SRPM URL: https://petersen.fedorapeople.org/reviews/rhbzquery/rhbzquery-0.4.1-1.fc33.src.rpm

- change license from BSD to GPLv2+
- set no stdout buffering (#1906493)
- generate basic manpage with help2man

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=57620613

Comment 6 Clark Williams 2020-12-19 02:40:24 UTC
Thanks Jens, sorry it took me a while to get back to this. 

I like the changes so I'll set the status to accept. 

Nice job!

Clark

Comment 7 Jens Petersen 2020-12-19 06:35:17 UTC
Thanks a lot, Clark, appreciate the helpful review and feedback.

Comment 8 Jens Petersen 2020-12-19 06:56:32 UTC
Thank you for the review, Clark

https://pagure.io/releng/fedora-scm-requests/issue/31376

Comment 9 Clark Williams 2020-12-19 15:57:15 UTC
BTW, I'm impressed with Haskell. Probably won't make me stop using LISP, but impressive nonetheless :).

Comment 10 Gwyn Ciesla 2020-12-21 14:14:20 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rhbzquery

Comment 11 Jens Petersen 2020-12-22 02:22:29 UTC
(In reply to Clark Williams from comment #9)
> BTW, I'm impressed with Haskell. Probably won't make me stop using LISP, but
> impressive nonetheless :).

Cool that's nice to hear :-)

Which Lisp do you use btw?

Comment 12 Jens Petersen 2020-12-22 02:24:16 UTC
I was very happy that rhbzquery got a mention in the latest Fedora Magazine Copr projects round-up!

https://fedoramagazine.org/4-cool-new-projects-to-try-in-copr-from-december/

Comment 13 Clark Williams 2020-12-22 06:07:55 UTC
(In reply to Jens Petersen from comment #11)
> (In reply to Clark Williams from comment #9)
> > BTW, I'm impressed with Haskell. Probably won't make me stop using LISP, but
> > impressive nonetheless :).
> 
> Cool that's nice to hear :-)
> 
> Which Lisp do you use btw?

Mostly Emacs Lisp :). I have fooled with Steel Bay Common Lisp (sbcl) and 
more Scheme's than I can count (starting back in the R3RS days).

But really, I'm a C programmer.

Comment 14 Clark Williams 2020-12-22 06:07:59 UTC
(In reply to Jens Petersen from comment #12)
> I was very happy that rhbzquery got a mention in the latest Fedora Magazine
> Copr projects round-up!
> 
> https://fedoramagazine.org/4-cool-new-projects-to-try-in-copr-from-december/

I saw that! They'd better hurry if they want to try it in copr :)

Comment 15 Fedora Update System 2020-12-23 06:32:48 UTC
FEDORA-2020-cd124c8c48 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cd124c8c48

Comment 16 Jens Petersen 2020-12-23 06:37:09 UTC
(In reply to Clark Williams from comment #13)
> Mostly Emacs Lisp :). I have fooled with Steel Bay Common Lisp (sbcl) and 
> more Scheme's than I can count (starting back in the R3RS days).

I see nice, I also started out from Emacs Lisp.

(In reply to Clark Williams from comment #14)
> I saw that! They'd better hurry if they want to try it in copr :)

Yeah, hahaha :-)

Comment 17 Fedora Update System 2020-12-23 06:46:39 UTC
FEDORA-2020-2f738660aa has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2f738660aa

Comment 18 Fedora Update System 2020-12-24 01:10:03 UTC
FEDORA-2020-2f738660aa has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-2f738660aa \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2f738660aa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-12-24 02:04:22 UTC
FEDORA-2020-cd124c8c48 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-cd124c8c48 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cd124c8c48

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2021-01-01 01:24:35 UTC
FEDORA-2020-2f738660aa has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2021-01-01 02:09:44 UTC
FEDORA-2020-cd124c8c48 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.